Control Freak: Issue after upgrading to Bitbucket 6.6.0

Create issue
Issue #91 resolved
Marijn van Zon created an issue

Hi,

After upgrading to Bitbucket 6.6.0 I get the following when trying to push:

remote: Control Freak: at com.atlassian.stash.internal.scm.git.command.DefaultGitScmCommandBuilder.commitish(DefaultGitScmCommandBuilder.java:298)
remote: Control Freak - pre-receive failed: com.atlassian.bitbucket.repository.InvalidRefNameException: '--not' is not a valid commit identifier. Commits may be identified by their SHA-1, or using a branch or tag name. Note that branch and tag names starting with hyphens are not allowed because Git cannot differentiate them from options.
remote:   at com.atlassian.stash.internal.scm.git.command.DefaultGitScmCommandBuilder.commitish(DefaultGitScmCommandBuilder.java:298)
remote:   at java.util.ArrayList.forEach(ArrayList.java:1257)
remote:   at com.atlassian.stash.internal.scm.git.command.revlist.DefaultGitRevListBuilder.applyRevs(DefaultGitRevListBuilder.java:59)
remote:   at com.atlassian.stash.internal.scm.git.command.revlist.AbstractGitRevCoreBuilder.applyArguments(AbstractGitRevCoreBuilder.java:251)
remote:   at com.atlassian.stash.internal.scm.git.command.AbstractGitCommandBuilder.build(AbstractGitCommandBuilder.java:111)
remote:   at com.bitbooster.hook.MyMergeCheckHook.processReceive(MyMergeCheckHook.java:360)
remote:   at com.bitbooster.hook.ControlFreakPreReceive.preUpdate(ControlFreakPreReceive.java:115)

Updated Control Freak again to 2019.08.26.

Regards,

Marijn van Zon.

Comments (5)

  1. G. Sylvie Davies [bit-booster.com] repo owner

    Okay, and now we just published v2019.08.29 to marketplace.atlassian.com when we realized previous versions did not contain a full fix.

    Pull-requests from personal forks into a regular repo could also trigger a very similar bug (if the personal fork did not check author / committer metadata, but the regular repo did). This fork scenario is fixed in v2019.08.29, whereas the push scenario was fixed in the earlier v2019.08.27.

    Also: we determined that the bug occurs when using Bitbucket 6.5.x as well.

  2. G. Sylvie Davies [bit-booster.com] repo owner

    I’ve now marked all versions of Control Freak < v2019.08.29 to be compatible with Bitbucket version 6.4.x maximum.

    Only v2018.08.29 is currently listed as compatible with Bitbucket versions up to 6.5.x, 6.6.x, and the upcoming 6.7.x.

  3. Log in to comment